资源中心/网络资源/VPC相关接口
GETVPC Operations起始版本 0.6同步需要认证
查询VPC路由器
查询VPC路由器
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
此接口无需请求参数。
响应状态
请求地址
GET/zstack/v1/vpc/virtual-routers
/zstack/v1/vpc/virtual-routers
请求示例
curl -X GET 'http://{host}/zstack/v1/vpc/virtual-routers' -H 'Authorization: OAuth {sessionUuid}'
响应示例
200{ "inventories": [ { "dns": [ { "vpcRouterUuid": "4183325c367d384a84458f89c35d62a8", "dns": "8.8.8.8" } ], "uuid": "4183325c367d384a84458f89c35d62a8", "name": "Test-VM", "description": "web server VM", "zoneUuid": "77689ed989253db0bb5863b103e06ecd", "clusterUuid": "7f124c177f1535cebca9b0a555998e8e", "imageUuid": "9e0eaf2e7ea93bc0bfc9f22d3f7328cd", "hostUuid": "72547613a0bf320caca7a149d99e3ed4", "lastHostUuid": "9e54bc8261f6396db6c66eb8a76e246d", "instanceOfferingUuid": "e115b1542d2e35c8b9fbb5afd9fd067c", "rootVolumeUuid": "48afbfcc2d36391586f7b6b44df93712", "platform": "Linux", "defaultL3NetworkUuid": "70dc6311679638c0a1e323d583332463", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8.589934592E9, "cpuNum": 1.0, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "df1eae8361983c86a46d3d922ad0a6f4", "vmInstanceUuid": "4183325c367d384a84458f89c35d62a8", "usedIpUuid": "2bdc1a927ebb34f89a880d8aefc7c763", "l3NetworkUuid": "70dc6311679638c0a1e323d583332463", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "48afbfcc2d36391586f7b6b44df93712", "name": "Root-Volume-For-VM-4183325c367d384a84458f89c35d62a8", "primaryStorageUuid": "a33d58803a2a307bb1762b9209e64ba2", "vmInstanceUuid": "4183325c367d384a84458f89c35d62a8", "diskOfferingUuid": "c762d59a3e6f36d89bff2ce3ea4b864c", "rootImageUuid": "9e0eaf2e7ea93bc0bfc9f22d3f7328cd", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-48afbfcc2d36391586f7b6b44df93712/48afbfcc2d36391586f7b6b44df93712.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } ] }变更历史
此 API 暂无变更历史记录。
